Subject: Re: bug#27139: Inline math in "\(\)" pairs won't highlight in captions

From: Arash Esbati <[email-masked]>
Date: Wed, 03 Apr 2024 20:27:52 +0200

Hong Xu <[email-masked]> writes:

> On 05/30/2017 06:53 AM, Mosè Giordano wrote:
>> Hi!
>> 
>> 2017-05-30 2:28 GMT+02:00 Hong Xu <[email-masked]>:
>>> The following minimal example
>>>
>>> \documentclass{article}
>>>
>>> \begin{document}
>>> \begin{figure}
>>>   \centering
>>>   \caption{Math \(x=y\) and $x=y$.}
>>> \end{figure}
>>> \end{document}
>>>
>>> $x=y$ is highlighted but \(x=y\) is not. Perhaps both should be highlighted?
>> 
>> Yes, I agree this is an inconsistent behavior, but you already
>> reported the issue one month ago:
>> https://debbugs.gnu.org/cgi/bugreport.cgi?bug=26630  ;-)
>> 
>
> Ooops, I forgot I did that...

(I'm going through old bug reports that unfortunately weren't resolved
at the time.)

I vaguely remember that the LaTeX team once said that there is no
special need to use \(.\) instead of $.$ (I can't find the reference,
though), so we can presume that $.$ is used much more often.  Hence, I
don't think we will fix this inconsistency, and therefore I'm closing
this report.

Best, Arash